﻿namespace DotNet.Highcharts.Enums
{
    public enum Cursors
    {
        /// <summary>
        /// Default. The browser sets a cursor	
        /// </summary>
        Auto,

        /// <summary>
        /// The cursor render as a crosshair
        /// </summary>
        Crosshair,

        /// <summary>
        /// The default cursor
        /// </summary>
        Default,

        /// <summary>
        /// The cursor indicates that help is available
        /// </summary>
        Help,

        /// <summary>
        /// The cursor indicates something that should be moved
        /// </summary>
        Move,

        /// <summary>
        /// The cursor render as a pointer
        /// </summary>
        Pointer,

        /// <summary>
        /// The cursor indicates that the program is busy (in progress)	
        /// </summary>
        Progress,

        /// <summary>
        /// The cursor indicates text
        /// </summary>
        Text,

        /// <summary>
        /// The cursor indicates that the program is busy
        /// </summary>
        Wait
    }
}